/* fraglets-0.29/src/sys-send-deliver.c

  simple interface to the fraglet interpreter (no specific application)

  Copyright (C) 2003-2007 <christian.tschudin@unibas.ch>

  This file is distributed under the terms of the GNU general Public
  License (GPL), see the file COPYING

  History:
  20070122  lidia.yamamoto@unibas.ch: created from sys-send-deliver.c

*/

#include "frag.h"
#include "frag.c"


// -----------------------------------------------------------------

static int score = 0;

int appl_clockEvent(struct node *n, int clock)
{
  //empty for the moment
  return 1;
}


void appl_trigger(struct frag *f) {
  node_lookup(f->nd, 0)->symbalance += f->len;

  DEBUG(2, fprintf(stderr, "# %05d  ignoring local trigger: ", node_lookup(f->nd, 0)->opcnt););

  f_free(f);
}


int appl_finalScore()
{
	DEBUG(2, fprintf(stderr, "final score: %d\n", score););
	return score;
}


void appl_scoreReset()
{
	score = 0;
	DEBUG(2, fprintf(stderr, "score reset: %d\n", score););
}

